Warning, /games/granatier/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
0002 
0003 # Release Service version, managed by release script
0004 set (RELEASE_SERVICE_VERSION_MAJOR "22")
0005 set (RELEASE_SERVICE_VERSION_MINOR "08")
0006 set (RELEASE_SERVICE_VERSION_MICRO "1")
0007 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
0008 
0009 # Bump GRANATIER_BASE_VERSION once new features are added
0010 set(GRANATIER_BASE_VERSION "1.4")
0011 
0012 set(GRANATIER_VERSION "${GRANATIER_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")
0013 
0014 project(granatier VERSION ${GRANATIER_VERSION})
0015 
0016 set (QT_MIN_VERSION "5.15.2")
0017 set (KF_MIN_VERSION "5.91.0")
0018 
0019 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
0020 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
0021 
0022 include(KDEInstallDirs)
0023 include(KDECMakeSettings)
0024 include(KDECompilerSettings NO_POLICY_SCOPE)
0025 
0026 include(FeatureSummary)
0027 include(ECMInstallIcons)
0028 include(ECMAddAppIcon)
0029 include(ECMQtDeclareLoggingCategory)
0030 include(ECMDeprecationSettings)
0031 include(ECMSetupVersion)
0032 
0033 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
0034 find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
0035     CoreAddons 
0036     Config
0037     Crash
0038     DBusAddons
0039     WidgetsAddons 
0040     Config 
0041     I18n 
0042     ConfigWidgets 
0043     XmlGui
0044     DocTools
0045 )
0046 
0047 find_package(KF5KDEGames 7.3.0 REQUIRED)
0048 
0049 ecm_set_disabled_deprecation_versions(
0050     QT 5.15.2
0051     KF 5.91
0052     KDEGAMES 7.3
0053 )
0054 
0055 add_subdirectory(themes) 
0056 add_subdirectory(sounds)
0057 add_subdirectory(icons)
0058 add_subdirectory(src)
0059 add_subdirectory(arenas)
0060 add_subdirectory(players)
0061 add_subdirectory(doc)
0062 
0063 ki18n_install(po)
0064 kdoctools_install(po)
0065 
0066 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)